typedef unsigned char  	u08;
typedef          char  	s08;
typedef unsigned short 	u16;
typedef          short 	s16;
typedef unsigned long  	u32;

typedef prog_uchar prog_u08;

/** \ingroup avr_pgmspace
    \def PRG_RDB
    \deprecated
    Use pgm_read_byte() in new programs. */

#define PRG_RDB(addr)       pgm_read_byte(addr)

/** \def cbi
    \ingroup avr_sfr
    \deprecated
    \code #include <avr/io.h>\endcode
    For backwards compatibility only. This macro will eventually be removed.

    Clear bit \c bit in IO register \c sfr. */

#define cbi(sfr, bit) (_SFR_BYTE(sfr) &= ~_BV(bit))

/** \def sbi
    \ingroup avr_sfr
    \deprecated
    \code #include <avr/io.h>\endcode
    For backwards compatibility only. This macro will eventually be removed.

    Set bit \c bit in IO register \c sfr. */

#define sbi(sfr, bit) (_SFR_BYTE(sfr) |= _BV(bit))


/** \def eeprom_rb
    \ingroup avr_eeprom
    \deprecated
    Use eeprom_read_byte() in new programs. */

#define eeprom_rb(addr) eeprom_read_byte ((uint8_t *)(addr))

///** \def eeprom_rw
//    \ingroup avr_eeprom
//    \deprecated
//    Use eeprom_read_word() in new programs. */
//
//#define eeprom_rw(addr) eeprom_read_word ((uint16_t *)(addr))

/** \def eeprom_wb
    \ingroup avr_eeprom
    \deprecated
    Use eeprom_write_byte() in new programs. */

#define eeprom_wb(addr,val) eeprom_write_byte ((uint8_t *)(addr), (uint8_t)(val))
