#ifndef GLOBAL_H
#define GLOBAL_H

#include <avr/io.h>
#include <avr/pgmspace.h>

#include <../avr_make/vt_defs.h>

// ---- Global / SNAP Definitions -----------------------------------------------------------------------
#define F_CPU        		4194304               						// CPU-Clockspeed in Hz
#define TICK_100M				(F_CPU / 20480) 								// timer 0 prescaler for 100ms tick
// ----------------------------------------------------------------------------------------------------
																					// valid if counter 0 prescaler = 8

#endif
